org.codehaus.classworlds

## Class BytesURLConnection

- java.lang.Object
- - java.net.URLConnection
  - - org.codehaus.classworlds.BytesURLConnection

Deprecated.

    @Deprecated
    public class BytesURLConnection
    extends URLConnection

Author:
  Hani Suleiman (hani@formicary.net)

  Date: Oct 20, 2003 Time: 12:46:01 AM

### Field Summary

Fields
`protected byte[]` `content` Deprecated.
`protected int` `length` Deprecated.
`protected int` `offset` Deprecated.

### Fields inherited from class java.net.URLConnection

`allowUserInteraction, connected, doInput, doOutput, ifModifiedSince, url, useCaches`

### Constructor Summary

Constructors
Constructor and Description
`BytesURLConnection(URL url, byte[] content)` Deprecated.

### Method Summary

Methods
`void` `connect()` Deprecated.
`InputStream` `getInputStream()` Deprecated.

### Methods inherited from class java.net.URLConnection

`addRequestProperty, getAllowUserInteraction, getConnectTimeout, getContent, getContent, getContentEncoding, getContentLength, getContentLengthLong, getContentType, getDate, getDefaultAllowUserInteraction, getDefaultRequestProperty, getDefaultUseCaches, getDoInput, getDoOutput, getExpiration, getFileNameMap, getHeaderField, getHeaderField, getHeaderFieldDate, getHeaderFieldInt, getHeaderFieldKey, getHeaderFieldLong, getHeaderFields, getIfModifiedSince, getLastModified, getOutputStream, getPermission, getReadTimeout, getRequestProperties, getRequestProperty, getURL, getUseCaches, guessContentTypeFromName, guessContentTypeFromStream, setAllowUserInteraction, setConnectTimeout, setContentHandlerFactory, setDefaultAllowUserInteraction, setDefaultRequestProperty, setDefaultUseCaches, setDoInput, setDoOutput, setFileNameMap, setIfModifiedSince, setReadTimeout, setRequestProperty, setUseCaches, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### content

    protected byte[] content

Deprecated.

#### offset

    protected int offset

Deprecated.

#### length

    protected int length

Deprecated.

### Constructor Detail

#### BytesURLConnection

    public BytesURLConnection(URL url,
                      byte[] content)

Deprecated.

### Method Detail

#### connect

    public void connect()

Deprecated.

Specified by:
  `connect` in class `URLConnection`

#### getInputStream

    public InputStream getInputStream()

Deprecated.

Overrides:
  `getInputStream` in class `URLConnection`